import { TLoadingIndicatorProps } from '../LoadingIndicator/LoadingIndicator';
import { ComponentClass, EventHandler, MouseEvent } from 'react';
import { PartialKeys } from '@devexperts/utils/dist/object/object';
export declare const BUTTON: symbol;
export declare type TFullButtonProps = {
    theme: {
        container?: string;
        container_primary?: string;
        container_flat?: string;
        container_isLoading?: string;
        loadingIndicator?: string;
        LoadingIndicator?: TLoadingIndicatorProps['theme'];
    };
    isDisabled?: boolean;
    isFlat?: boolean;
    style?: {};
    type?: string;
    isLoading?: boolean;
    isPrimary?: boolean;
    onMouseLeave?: EventHandler<MouseEvent<HTMLButtonElement>>;
    onMouseDown?: EventHandler<MouseEvent<HTMLButtonElement>>;
    onMouseUp?: EventHandler<MouseEvent<HTMLButtonElement>>;
    onClick?: EventHandler<MouseEvent<HTMLButtonElement>>;
    tabIndex?: number;
};
export declare type TButtonProps = PartialKeys<TFullButtonProps, 'theme'>;
export declare const Button: ComponentClass<TButtonProps>;
